TagLibraryTransformer (Grails 3.1.4)
Date: 2016-03-16

Package: org.grails.compiler.web.taglib

## [Java] Class TagLibraryTransformer

- org.grails.compiler.web.taglib.TagLibraryTransformer

- All Implemented Interfaces and Traits:
    AnnotatedClassInjector, GrailsArtefactClassInjector

      @AstTransformer
      public class TagLibraryTransformer
      extends java.lang.Object

  Enhances tag library classes with the appropriate API at compile time.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static java.lang.String` | `GET_TAG_LIB_NAMESPACE_METHOD_NAME` |
    `static java.util.regex.Pattern` | `TAGLIB_PATTERN` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.String` | `getArtefactType()`
    `java.lang.String[]` | `getArtefactTypes()`
    `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `void` | `performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `void` | `performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)`
    `boolean` | `shouldInject(java.net.URL url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected static final java.lang.String GET_TAG_LIB_NAMESPACE_METHOD_NAME

    - #### public static java.util.regex.Pattern TAGLIB_PATTERN

  - ### Method Detail

    - #### protected java.lang.String getArtefactType()

    - #### @java.lang.Override public java.lang.String[] getArtefactTypes()

    - #### @java.lang.Override public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override public void performInjection(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override public void performInjectionOnAnnotatedClass(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.ast.ClassNode classNode)

    - #### public boolean shouldInject(java.net.URL url)